package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(goods_procurement):
 */
public class GoodsProcurement {

	@ApiModelProperty(value = "编号")
	private Long id;

	@ApiModelProperty(value = "组合商品编号")
	private Integer parentGoodsId;
	
	@ApiModelProperty(value = "商品编号")
	private Integer goodsId;
	
	@ApiModelProperty(value = "商品分类")
	private Integer goodsCategoryId;
	
	@ApiModelProperty(value = "进货渠道")
	private String supplyChannel;
	
	@ApiModelProperty(value = "采购价一")
	private java.math.BigDecimal discountPrice;
	
	@ApiModelProperty(value = "采购价二")
	private java.math.BigDecimal agreeCostPrice;
	
	@ApiModelProperty(value = "内部库存")
	private Integer stockCount;
	
	@ApiModelProperty(value = "税务库存")
	private Integer taxStockCount;
	
	@ApiModelProperty(value = "进货人编号")
	private Integer operatorId;

	@ApiModelProperty(value = "批次号")
	private String batchNo;

	@ApiModelProperty(value = "内部库存售出数量")
	private int stockSoldNum;

	@ApiModelProperty(value = "税务库存售出数量")
	private int taxStockSoldNum;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public GoodsProcurement() {
	}

	public GoodsProcurement(Integer goodsId) {
		this.goodsId = goodsId;
	}

	public GoodsProcurement(Integer parentGoodsId, Integer goodsId) {
		this.parentGoodsId = parentGoodsId;
		this.goodsId = goodsId;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public Integer getParentGoodsId() {
		return parentGoodsId;
	}

	public void setParentGoodsId(Integer parentGoodsId) {
		this.parentGoodsId = parentGoodsId;
	}

	public void setGoodsId(Integer goodsId){
		this.goodsId = goodsId;
	}
	
	public Integer getGoodsId(){
		return this.goodsId;
	}
			
	public void setGoodsCategoryId(Integer goodsCategoryId){
		this.goodsCategoryId = goodsCategoryId;
	}
	
	public Integer getGoodsCategoryId(){
		return this.goodsCategoryId;
	}
			
	public void setSupplyChannel(String supplyChannel){
		this.supplyChannel = supplyChannel;
	}
	
	public String getSupplyChannel(){
		return this.supplyChannel;
	}
			
	public void setDiscountPrice(java.math.BigDecimal discountPrice){
		this.discountPrice = discountPrice;
	}
	
	public java.math.BigDecimal getDiscountPrice(){
		return this.discountPrice;
	}
			
	public void setAgreeCostPrice(java.math.BigDecimal agreeCostPrice){
		this.agreeCostPrice = agreeCostPrice;
	}
	
	public java.math.BigDecimal getAgreeCostPrice(){
		return this.agreeCostPrice;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Integer getStockCount() {
		return stockCount;
	}

	public void setStockCount(Integer stockCount) {
		this.stockCount = stockCount;
	}

	public Integer getTaxStockCount() {
		return taxStockCount;
	}

	public void setTaxStockCount(Integer taxStockCount) {
		this.taxStockCount = taxStockCount;
	}

	public int getStockSoldNum() {
		return stockSoldNum;
	}

	public void setStockSoldNum(int stockSoldNum) {
		this.stockSoldNum = stockSoldNum;
	}

	public int getTaxStockSoldNum() {
		return taxStockSoldNum;
	}

	public void setTaxStockSoldNum(int taxStockSoldNum) {
		this.taxStockSoldNum = taxStockSoldNum;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
